summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 13b5481)
raw | patch | inline | side by side (parent: 13b5481)
author | Mike Hommey <mh@glandium.org> | |
Mon, 7 Jul 2008 19:02:50 +0000 (21:02 +0200) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Wed, 9 Jul 2008 05:50:14 +0000 (22:50 -0700) |
When USE_CURL_MULTI is undefined, git http-push doesn't work, so it's
useless to test it.
Signed-off-by: Mike Hommey <mh@glandium.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
useless to test it.
Signed-off-by: Mike Hommey <mh@glandium.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/t5540-http-push.sh | patch | blob | history |
diff --git a/t/t5540-http-push.sh b/t/t5540-http-push.sh
index ee63945c996b3e82b23b1c18365fe5b275ed6dbe..21dbb557b7cfad412ba1796519a7a63a403c35bb 100755 (executable)
--- a/t/t5540-http-push.sh
+++ b/t/t5540-http-push.sh
ROOT_PATH="$PWD"
LIB_HTTPD_DAV=t
+if git http-push > /dev/null 2>&1 || [ $? -eq 128 ]
+then
+ say "skipping test, USE_CURL_MULTI is not defined"
+ test_done
+ exit
+fi
+
. ../lib-httpd.sh
if ! start_httpd >&3 2>&4